Loading...
Searching...
No Matches
stdex::parser::basic_html_value< T > Class Template Reference

Optionally-quoted string representing value of an attribute. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_html_value< T >:

## Public Member Functions

virtual bool | match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
virtual bool | match (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)=0
template<class _Traits , class _Ax >
bool | match (const std::basic_string< T, _Traits, _Ax > &text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes

stdex::interval< size_t > | content
| content position in source
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Additional Inherited Members

Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Detailed Description

template<class T>
class stdex::parser::basic_html_value< T >

Optionally-quoted string representing value of an attribute.

## Member Function Documentation

## invalidate()

template<class T >

virtual void stdex::parser::basic_html_value< T >::invalidate | ( |  | ) |

inlinevirtual

Reimplemented from stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp